Bug 24808 - Weniger und korrekte Ausgaben von univention-repository-create auf der Konsole
Weniger und korrekte Ausgaben von univention-repository-create auf der Konsole
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - Repository administration
UCS 3.1
Other Linux
: P5 enhancement (vote)
: UCS 3.1-1-errata
Assigned To: Philipp Hahn
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-22 18:47 CET by Sönke Schwardt-Krummrich
Modified: 2013-08-28 13:41 CEST (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Typo/text changes
Max CVSS v3 score:


Attachments
Ausgabe von univention-repository-create (4.14 KB, text/plain)
2011-11-22 18:47 CET, Sönke Schwardt-Krummrich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2011-11-22 18:47:12 CET
Created attachment 3859 [details]
Ausgabe von univention-repository-create

univention-repository-create erzeugt derzeit sehr viel Output auf der Konsole,
wobei auf den ersten Blick nicht ersichtlich ist, was davon wichtig ist (siehe
Attachment). Wenn möglich, sollte das reduziert werden.
Comment 1 Erik Damrose univentionstaff 2013-07-03 10:37:40 CEST
Die Ausgaben wurden in der aktuellen Version offenbar schon reduziert. Zusätzlich wurden noch Hilfstexte am Ende eingefügt, die allerdings einen Fehler enthalten; Es wird empfohlen policies anzulegen:
udm policies/registry create \
    --position "cn=config-registry,cn=policies,dc=intra,dc=net" \
    --set name="global settings" \
    --set registry="update/secure no"

Hier müsste es --set registry="update/secure_apt no" heißen.
Comment 2 Philipp Hahn univentionstaff 2013-07-11 08:41:38 CEST
(In reply to Erik Damrose from comment #1)
>     --set registry="update/secure no"
> 
> Hier müsste es --set registry="update/secure_apt no" heißen.

This part was fixed.

3.2: svn42225, univention-updater_9.0.4-2.1185.201307110813
ChangeLog-3.2: \item The recommendation for setting up a UCR policy has been fixed to mention the correct \ucsUCRV{updater/secure\_apt} (\ucsBug{24808}).

3.1-1: svn42280, univention-updater_8.0.78-6.1186.201307110827
2013-07-10-univention-updater.yaml svn42282
Comment 3 Philipp Hahn univentionstaff 2013-08-22 08:33:47 CEST
(In reply to Sönke Schwardt-Krummrich from comment #0)
> univention-repository-create erzeugt derzeit sehr viel Output auf der
> Konsole, ... Wenn möglich, sollte das reduziert werden.

This issue is still unfixed.
Comment 4 Philipp Hahn univentionstaff 2013-08-22 08:44:23 CEST
(In reply to Philipp Hahn from comment #3)
> (In reply to Sönke Schwardt-Krummrich from comment #0)
> > univention-repository-create erzeugt derzeit sehr viel Output auf der
> > Konsole, ... Wenn möglich, sollte das reduziert werden.
> 
> This issue is still unfixed.Bug #32295
Comment 5 Erik Damrose univentionstaff 2013-08-22 15:55:36 CEST
The displayed udm calls are now correct. Works in errata3.1-1 and 3.2
Changelog present
Remaining issues tracked via cloned bug.

-> Verified
Comment 6 Moritz Muehlenhoff univentionstaff 2013-08-28 13:41:22 CEST
http://errata.univention.de/ucs/3.1/172.html